Skip to content

Authorize application access rights

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Authorize application access permissions to users, groups, organizations, or roles. If the user, group, organization, or role does not exist, skip and proceed to the next step of authorization without returning an error

Method name

ManagementClient.authorizeApplicationAccess

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
list<a ApplicationPermissionRecordItem[]Yes-Authorization subject list, up to 10 items
appIdstringYes-Application ID6229ffaxxxxxxxxcade3e3d9

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.authorizeApplicationAccess({
    appId: "6229ffaxxxxxxxxcade3e3d9",
    list: [
      {
        targetType: Models.AuthorizeApplicationAccessDto.targetType.USER,
        namespaceCode: "code1",
        inheritByChildren: true,
        targetIdentifier: ["6229ffaxxxxxxxxcade3e3d9"],
        effect: Models.AuthorizeApplicationAccessDto.effect.ALLOW,
      },
    ],
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: IsSuccessRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringdescription
apiCodenumberSegmented error code, which can be used to get the specific error type (not returned for successful requests). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a IsSuccessDtoWhether the operation is successful

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "success": true
  }
}

Data structure

ApplicationPermissionRecordItem

NameTypeIs it requiredDescriptionSample value
targetTypestringyesSubject typeUSER
namespaceCodestringnoPermission group code, must be passed when subject type is "ROLE"code1
inheritByChildrenbooleannoWhen subject type is "ORG", whether authorization is inherited by child nodestrue
targetIdentifierarrayyesSubject identifier list, when subject type is "USER", the value should be user ID; when subject type is "GROUP", the value should be group code; when subject type is "ROLE", the value should be role code; when subject type is "ORG", the value should be organization node ID. Maximum 50 entries.["6229ffaxxxxxxxxcade3e3d9"]
effectstringyesAuthorization effect, allow or denyALLOW

IsSuccessDto

NameTypeIs it requiredDescriptionSample value
successbooleanyesWhether the operation was successfultrue

Agent infrastructure for identity, memory, and web action.